Vai al contenuto

Wan-2.1 Pro Image-to-Video

Integra

ID del modello wan-pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Questa richiesta: 0,80 $ 800 crediti API · ≈ 83,71 ₽ Esegui in questa pagina

Ottieni la chiave API
Alibaba Da immagine a video #image-to-video#motion

Image-to-video Wan 2.1 Pro che anima un'immagine da un prompt, con solo il controllo del seed

Creato su Doitong

Lavori pubblici creati con Wan 2.1 dalla community di Doitong. Riutilizza un prompt con un clic.

Lavori pubblici mostrati: 2
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... Video

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... Video

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio

Prompt usato per la generazione del video.

•obbligatorio image_url
Trascina un file oppure

URL dell'immagine sorgente usata per la generazione del video.

Avanzate seed · enable_safety_checker

Seed che rende riproducibile la generazione. Impostarlo su None seleziona casualmente un seed.

POST /run/wan-pro/image-to-video?wait=20 preventivo → 0,80 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Wan-2.1 Pro Image-to-Video

Anima un'immagine fissa fornita come `image_url`, guidata da un `prompt`. L'output è un file video. Gli unici altri input sono `seed` per la riproducibilità e l'attivazione del controllo di sicurezza. Non sono esposte opzioni di risoluzione o durata.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
promptobbligatorio
Tipostring
Prompt usato per la generazione del video.
seedfacoltativo
Tipointeger | null
Seed che rende riproducibile la generazione. Impostarlo su None seleziona casualmente un seed.
enable_safety_checkerfacoltativo
Tipoboolean
Predefinitotrue
Controlla se il controllo di sicurezza è abilitato.
image_urlobbligatorio image
Tipourl · image
URL dell'immagine sorgente usata per la generazione del video.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
video
object {url, content_type, file_name, file_size}Video prodotto dal modello.

Altri modelli: Da immagine a video

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/wan-pro/image-to-video.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt